FilterToHandlerAdapter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.filters
[Groovy] Class FilterToHandlerAdapter

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.filters.FilterToHandlerAdapter

All Implemented Interfaces:
  GrailsApplicationAware, org.springframework.web.servlet.HandlerInterceptor, org.springframework.beans.factory.InitializingBean

    class FilterToHandlerAdapter
    extends java.lang.Object

Adapter between a FilterConfig object and a Spring HandlerInterceptor.

Authors:
  mike
  Graeme Rocher

Property Summary
`java.lang.Object` | `actionExcludeRegex`
`java.lang.Object` | `actionRegex`
`java.lang.Object` | `configClass`
`java.lang.Object` | `controllerExcludeRegex`
`java.lang.Object` | `controllerRegex`
`java.lang.Object` | `dependsOn`
`java.lang.Object` | `filterConfig`
`GrailsApplication` | `grailsApplication`
`java.lang.Object` | `invertRule`
`java.lang.Object` | `pathMatcher`
`java.lang.Object` | `uriExcludePattern`
`java.lang.Object` | `uriPattern`
`java.lang.Object` | `urlPathHelper`
`java.lang.Object` | `useRegex`
`java.lang.Object` | `useRegexFind`

Method Summary
`boolean` | `accept(java.lang.String controllerName, java.lang.String actionName, java.lang.String uri)`
`java.lang.String` | `actionName(java.lang.Object request)` Returns the name of the action targeted by the given request.
`void` | `afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, java.lang.Exception e)`
`void` | `afterPropertiesSet()`
`java.lang.String` | `controllerName(java.lang.Object request)` Returns the name of the controller targeted by the given request.
`boolean` | `doesMatch(java.util.regex.Pattern pattern, java.lang.CharSequence string)`
`void` | `postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, org.springframework.web.servlet.ModelAndView modelAndView)`
`boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`
`java.lang.String` | `toString()`
`java.lang.String` | `uri(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### actionExcludeRegex

    java.lang.Object actionExcludeRegex

### actionRegex

    java.lang.Object actionRegex

### configClass

    java.lang.Object configClass

### controllerExcludeRegex

    java.lang.Object controllerExcludeRegex

### controllerRegex

    java.lang.Object controllerRegex

### dependsOn

    java.lang.Object dependsOn

### filterConfig

    java.lang.Object filterConfig

### grailsApplication

    GrailsApplication grailsApplication

### invertRule

    java.lang.Object invertRule

### pathMatcher

    java.lang.Object pathMatcher

### uriExcludePattern

    java.lang.Object uriExcludePattern

### uriPattern

    java.lang.Object uriPattern

### urlPathHelper

    java.lang.Object urlPathHelper

### useRegex

    java.lang.Object useRegex

### useRegexFind

    java.lang.Object useRegexFind

Method Detail

### accept

    boolean accept(java.lang.String controllerName, java.lang.String actionName, java.lang.String uri)

### actionName

    java.lang.String actionName(java.lang.Object request)

  Returns the name of the action targeted by the given request.

### afterCompletion

    void afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, java.lang.Exception e)

### afterPropertiesSet

    void afterPropertiesSet()

### controllerName

    java.lang.String controllerName(java.lang.Object request)

  Returns the name of the controller targeted by the given request.

### doesMatch

    boolean doesMatch(java.util.regex.Pattern pattern, java.lang.CharSequence string)

### postHandle

    void postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, org.springframework.web.servlet.ModelAndView modelAndView)

### preHandle

    boolean preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o)

### setGrailsApplication

    void setGrailsApplication(GrailsApplication grailsApplication)

### toString

    java.lang.String toString()

### uri

    java.lang.String uri(javax.servlet.http.HttpServletRequest request)

Groovy Documentation